【友盟+】开发者社区

微信6.5.6版本分享失败的解决方案

半夏 发表于 2017-3-27 17:30:34 |

半夏
半夏 发表于 2017-3-17 19:14:22 | 显示全部楼层 |阅读模式
本帖最后由 半夏 于 2017-3-23 10:55 编辑

亲爱的【友盟+】U-Share用户:

    ​  近日,我们接到开发者反馈,安卓用户升级微信客户端至6.5.6后无法进行微信、朋友圈分享,我们在接到反馈后进行了排查并修复该问题。经排查,是由于微信客户端在新版本内进行了升级,对部分老版分享接口不兼容,导致使用U-Share安卓SDK版本为6.0.3-6.4.0微信精简版的开发者微信及朋友圈分享将受到影响,请大家尽快更新版本。

      为了便于开发者们快速迭代上线,我们提供了三个版本更新下载,直接替换对应的微信jar即可,不需要修改代码

     使用6.0.x版本的用户,直接点击下载
    ​ 使用6.1.x版本的用户,直接点击下载
    ​ 使用6.2.x版本的用户,直接点击下载
     ​使用6.3-6.4版本的用户,直接点击下载

      iOS用户不受此次影响

     最后,这次我们对这次造成的不利影响深感抱歉~ 感谢大家对于我们的支持~



                             


                                                                                                   Ushare团队

                                                                                                   2017年3月17日









上一篇:微信6.5.6分享失败原因
下一篇:友盟6.4新浪分享失败.闪退.怎么解决






半夏
半夏 发表于 2017-3-21 13:34:10 | 显示全部楼层
没八阿哥 发表于 2017-3-20 15:36
为啥我的没出错啊,不是所有的应用都受影响吗

可能你没用精简版,或者是微信客户端版本不是6.5.6


Umeng真坑
Umeng真坑 发表于 2017-3-21 14:40:25 | 显示全部楼层
问题是修复了,但是以前配置的不同平台下分享不同内容的报错了,修了一个问题又来了一个问题……



半夏
半夏 发表于 2017-3-22 09:45:44 | 显示全部楼层



liuhaiming13131
liuhaiming13131 发表于 2017-3-22 11:02:52 | 显示全部楼层
半夏 发表于 2017-3-22 09:45
Config.DEBUG = true;
开启开关,在logcat里会直接输出日志,筛选tag:umengsocial

我的是6.0.5那我应该用哪个啊



涂涂
涂涂 发表于 2017-3-22 14:18:54 | 显示全部楼层

liuhaiming13131
liuhaiming13131 发表于 2017-3-22 14:26:53 | 显示全部楼层
这个jar包 和以前的名字不一样,要不要改?是只替换platform里面一个微信的,还是那main文件里面几个api, tool都要替换啊,而且名字也不一样,一换的话就 报错是要添加什么新的混淆?

涂涂
涂涂 发表于 2017-3-22 14:37:21 | 显示全部楼层
liuhaiming13131 发表于 2017-3-22 14:26
这个jar包 和以前的名字不一样,要不要改?是只替换platform里面一个微信的,还是那main文件里面几个api, t ...

你能下载最新的Android 社会化组件SDK v6.4.1包?你能把下载好的包传一份给我吗?919706982@qq.com


半夏
半夏 发表于 2017-3-22 15:11:58 | 显示全部楼层
liuhaiming13131 发表于 2017-3-22 14:26
这个jar包 和以前的名字不一样,要不要改?是只替换platform里面一个微信的,还是那main文件里面几个api, t ...

帖子里说了,影响sdk版本是6.1.1-6.4.0 ,其他版本不影响,不需要改

liuhaiming13131
liuhaiming13131 发表于 2017-3-22 15:18:11 | 显示全部楼层
半夏 发表于 2017-3-22 15:11
帖子里说了,影响sdk版本是6.1.1-6.4.0 ,其他版本不影响,不需要改

可是它就是影响了啊,分享不出去,就是升级后才这样

liuhaiming13131
liuhaiming13131 发表于 2017-3-22 16:29:55 | 显示全部楼层
半夏 发表于 2017-3-22 15:11
帖子里说了,影响sdk版本是6.1.1-6.4.0 ,其他版本不影响,不需要改

你教我怎么换吧,是不是找到platorm那个文件夹下面把精简微信的jar包替换掉就可以

半夏
半夏 发表于 2017-3-22 18:16:10 | 显示全部楼层
liuhaiming13131 发表于 2017-3-22 16:29
你教我怎么换吧,是不是找到platorm那个文件夹下面把精简微信的jar包替换掉就可以 ...

http://dev.umeng.com/files/downl ... ocial_sdkv6.0.4.zip

直接替换这个包里的微信相关jar,其他jar不用改

liuhaiming13131
liuhaiming13131 发表于 2017-3-23 09:24:38 | 显示全部楼层
半夏 发表于 2017-3-22 18:16
http://dev.umeng.com/files/download/umeng_android_social_sdkv6.0.4.zip

直接替换这个包里的微信相 ...

不行 直接崩溃了 类型转换错误  包里有一个handler不能转换成weixin.a.a之类的


天声第一
天声第一 发表于 2017-3-23 14:45:51 | 显示全部楼层
替换微信的精简jar包后报错:java.lang.NoClassDefFoundError: Failed resolution of: Lcom/umeng/socialize/PlatformConfig$APPIDPlatform;


BugFather
BugFather 发表于 2017-3-24 10:55:42 | 显示全部楼层
从昨天开始找这个问题,找不到原因。不得不说友盟分享是个大坑,每次sdk升级都要改接口,还动不动出问题。

12下一页
您需要登录后才可以发帖 登录 | 立即注册

本版积分规则

发表主题

精彩推荐

【报错必看】程序来源失败/新浪精简版授权失败C8998/
问题描述: 1.分享提示程序来源失败,请下载正确的第三方客户端2.新浪微博授权跳转到授权界面不动提示C8998
友盟5.0以下注册时报错
调用PushAgent的register方法报错[/backcolor] java.lang.NoClassDefFoundError: com.umeng.message.ut
集成推送register抛出异常!!!!!
报错内容就是图片 application中只调用了register

关注我们

新浪微博
微信

欢迎关注友盟官方微博微信!

在线客服
返回顶部 返回列表